## What is Aetherium?
Aetherium is a mod for Risk of Rain 2 that adds in a few items of varying tiers.
Most of the item ideas listed were sourced from the ideas channel on the official discord,
and as such the ones that were I will list the person that came up with the idea next to them.

Discord: https://www.discord.gg/WNap5qcPf6

----
## Items (so far):
----

| Icon | Item | Description | Rarity | Original Idea by |
|:-|-|------|-|-|
|![](https://i.imgur.com/VviXZp1.png) | **Feathered Plume** | Gain a temporary `7%` speed boost upon taking damage that stacks `3` times for `5 seconds`. (`+3` stacks and `+0.5` second duration per additional Feathered Plume.) | White | Ajarl |
|![](https://i.imgur.com/k5argMT.png) | **Nail Bomb** | Attacks that deal `120%` damage or more release a shrapnel grenade that explodes for `20x30%` of your damage (`+50%` more per stack). Enemies hit that launched a nail bomb are granted `2` second(s) of immunity to the effect. | White | Zeddy |  
|![](https://i.imgur.com/G2G9nFY.png) | **Blood Soaked Shield** |  Killing an enemy restores `10%` max shield (`+10%` per stack hyperbolically.) The first of the stack of this item will grant `8%` of your max health as shield on pickup. | Green | Kaboose |
|![](https://i.imgur.com/ip04Lin.png) | **Engineers Toolbelt** | You have a `20%` chance (`+20%` hyperbolically up to a maximum of `100%` chance) to duplicate drones and turrets on purchase. Additionally, you have a `10%` chance (`+10%` hyperbolically up to a maximum of `100%` chance) to revive drones and turrets when they die. | Green | Insane (originally) Me (Modified) |
|![](https://i.imgur.com/YDxIFfn.png) | **Shark Teeth** | `25%` of damage taken (`+25%` per stack hyperbolically) is distributed to you over `5` seconds as `bleed damage.` | Green | FancyFrenc |
|![](https://i.imgur.com/dIRNo04.png) | **Shielding Core** | You gain `10`  (`+5` per stack) armor while `BLUE shields` are active. The first stack of this item will grant `4%` of your max health as shield on pickup. |  Green | NepNep |
|![](https://i.imgur.com/kZhUTL1.png)|  **Blaster Sword** |  At `full health`, most attacks will `fire out a sword beam` that has `200%` of your damage (`+50%` per stack) when it explodes after having impaled an enemy for a short duration. | Red | Bord |
|![](https://i.imgur.com/6zG0MC9.png)| **Inspiring Drone** | Any bots you own gain a `50%` boost to each of its stats based on yours (`+50%` per stack). Some bots `gain more ammo` for their attacks based on the bonus to their attack speed, and have their `ammo replenished twice as fast` per additional Inspiring Drone. Finally, if an inspired bot is too far away from you, it is `teleported to you` after a delay (`40` seconds for Turrets, `30` seconds for Drones). | Red | Kaboose (original) Me (modification) |
|![](https://i.imgur.com/Z6gbypJ.png)| **Witches Ring** | Hits that deal `500%` damage or more will trigger `On Kill` effects. Upon success, the target hit is `granted immunity to this effect` for `5` seconds (`-10%` duration per stack, hyperbolically.)| Red | Me |
|![](https://i.imgur.com/gnAkUFs.png)| **Accursed Potion** | Every `30` seconds (reduced by `25%` per stack) you are `forced` to drink a strange potion, sharing its effects with enemies in a `20m` radius (`+5m` per stack) around you. Max: `8` buffs or debuffs can be applied at any time. |  Lunar |  Shadokuro |
|![](https://i.imgur.com/QQY1j4w.png)| **Alien Magnet** | Enemies hit by your attacks will be `pulled towards you`, starting at `6x` force (`+1` force multiplier, up to `10x` total force. The effect is more noticeable on higher health enemies. | Lunar | Me |
|![](https://i.imgur.com/nbsYc3F.png)|  **Heart of the Void** | `On death`, cause a void implosion with a radius of `15m` (+`7.5m` per stack) that `revives you` if an enemy is killed by it **BUT** at `30%` health (`+5%` per stack, max `99%`) or lower, all kinds of healing are `converted to damage`. | Lunar | Hyperion_21 |
|![](https://i.imgur.com/MxqLea7.png)| **Unstable Design** | Every `30` seconds you are compelled to create a very '**FRIENDLY**' Lunar Chimera, if one of your creations does not already exist. It has a `400%` base damage boost (`+100%` per stack), a `10%` base HP boost (`+10%` per stack), a `300%` base attack speed boost, and finally a `24%` base movement speed boost (`+24%` per stack). This monstrosity can level up from kills. | Lunar | SpookyBoogie |
|![](https://i.imgur.com/o78EHhU.png)| **Weighted Anklet** | A collection of weights will slow your attack speed by `10%` (to a minimum of `10%` total) and your movement speed by `10%` (to a minimum of `10%` total). If you find a way to remove them, you are granted `0.25` attack speed `flat scaling`, `1` movement speed `flat scaling`, and `5%` damage per removal. Additionally, removing an anklet grants you a stack of `Limiter Release Dodge`. `Dodge` will allow you to dodge one `overlap`, or `blast` attack before depleting. Once all stacks of dodge are depleted, they will need to recharge (`10` seconds for the first stack, `5` seconds per each additional stack) before fully replenishing. | Lunar | Me |
|![](https://i.imgur.com/6lw4kWM.png)| **Zenith Accelerator** | Hitting enemies grants you a temporary attack speed buff that increases attack speed by `10%` per buff stack linearly up to `300%` (+`100%` per item stack linearly), but you lose up to `50%` attack speed (+`50%` per item stack exponentially) the closer you are to `0` stacks of the buff. | Lunar | Ragon |

----
## Equipment (so far):
----

| Icon | Equipment | Description | Type | Original Idea by |
|:-|-|------|-|-|
|![](https://i.imgur.com/gkVAlPv.png)| **Bell Totem** | On use, spawn an `interactable bell totem` at the chosen position. When activated, trigger a `shockwave` with a radius of `25m` that stuns and sends enemies flying away from it. Additionally, any `On Shrine Use` effects will be activated. `2` second(s) between equipment uses, `1` second(s) between totem activations, and only one totem can be spawned per activator. | Normal | Ragon, modified slightly by me |  
|![](https://i.imgur.com/cSjfGdG.png)| **Jar of Reshaping** | On activation, `absorb projectiles` in a `20m` radius for `3` second(s). Upon success, `fire all of the projectiles` out of the jar upon next activation. The damage traits of each projectiles fired from the jar `depends on the bullets you absorbed`. After all the projectiles have been fired from the jar, it will need to cool down. | Normal | Me |  

----
## Elite Equipment (and elites) (so far):
----

| Buff Icon | Icon | Elite Equipment | Description | Modifier |  Original Idea by |
|:-|-|-|------|-|-|
|![](https://i.imgur.com/O6099IP.png)| ![](https://i.imgur.com/yxNqZkb.png)| **Bloody Fealty** | On use, teleport dash up to 10m in the direction you're going and gain slight invulnerability during the dash. Additionally, all of your attacks now cause bleeding. | Sanguine | Ragon, modified slightly by me. |

----
## Artifacts (so far):
----
| Icon | Artifact | Description | Original Idea by |
|:-|-|------|-|
|![](https://i.imgur.com/FxvUnX6.png)| **Artifact of Leonids** | When enabled, after every `60` seconds a meteor shower will occur that contains `6` wave(s) of meteors. | Bord |  
|![](https://i.imgur.com/u9OFBut.png)| **Artifact of Progression** | When enabled, most enemies will evolve into stronger versions of themselves after a duration. | Chen, Me |  
|![](https://i.imgur.com/tEYWscl.png)| **Artifact of Regression** | When enabled, if a monster is in an evolved form, it will split into a group of its lesser form when it dies. | Me |  
|![](https://i.imgur.com/GBH0AeB.png)| **Artifact of the Journey** | When enabled, most stages will be randomly picked. After a certain amount, a primordial teleporter will be placed. | Tons of People, Bord |  
|![](https://i.imgur.com/syskO36.png)| **Artifact of the Nightmare** | When enabled, non-boss enemies are granted 1-4 of the Lunar Heresy items when they spawn. | Inspired by Hyperion_21 |  
|![](https://i.imgur.com/WdXKlSZ.png)| **Artifact of the Tyrant** | When enabled, any time Mithrix spawns they will be given `1` random elite modifier. | Me |  

----
## Upcoming
----
- Version 0.7.0 will include a new survivor, we're building up to that.  

- Make Unstable Design's spawn behavior configurable between individual per player or similar to halcyon seed.  

- Will be adding more custom VFX/SFX to the Jar of Reshaping now that I'm more familiar with effect networking.  

- Implement Active Dodging for Weighted Anklet.

- Add itemstatsmod and betterui buff description support to Zenith Acceleration and Sanguine buff.

----

## Changelog
----
[0.6.4]
+ Adds Bell Totem, an equipment/interactable hybrid that spawns an interactable bell totem that throws enemies back and stuns them. It also triggers any On Shrine Use effects.
+ Adds an Entity State blacklist for Sanguine Elites that prevents the dash from interrupting specific attacks. Currently, it prevents the dash from cancelling Mithrix's item stealing and fist slam.
- Hides Limiter Release item icon. I couldn't figure out an icon for the moment for it, and it has a buff anyway that shows you the count of Limiter Releases you have.


[0.6.3]
+ Adds Sanguine Elites. Elite buff icon was done by FOG, display model done by Ragon. The elite type grants abilities similar to the regular imps, including bleed on hit and a special dash ability. Players get invulnerability during the dash state but have a mandatory cooldown period between uses of the dash. AIs get the ability to chain dash if their enemy is too far away, but if they dash too often in too short of a period they get stunned.
+ Added Zenith Accelerator, a lunar that decreases your attack speed initially but you gain it back and then some with continuous hits. If it's too powerful, I'm going to add another downside. We'll see.
+ Fixed memory leak issue from using the tracer from Mul-T's nail. It doesn't clean up its smoke.
+ Added a temporary visual effect to Jar of Reshaping's opening.

[0.6.2]
+ Adds Artifact of the Journey. When enabled, stages will be chosen randomly. The dream seers in the bazaar will also be randomized. After every 5 (or stages per loop) amount of stages, a Primordial Teleporter will be placed.
+ Fixed Heart of the Void's overlay pulling from the wrong material. You can no longer be thick and veiny after reviving by it.
+ Fixed a rare culture specific issue regarding using "ToLower" to do a dictionary lookup. It's now culture invariant.

[0.6.1]
+ Fixed odd infinicombo Nail Bombing. It can no longer proc from a hit with 0 proc coefficient.
+ Fixed readme.

[0.6.0]
+ Added Nail Bomb.
+ Added sounds for Nail Bomb.
+ Switched Nail Bomb from Projectile to Bullet Attack.
- Fixed weird config naming issue with the enable sounds options on some configs.

[0.5.10]
+ Gave death rewards to Artifact of Progression and Artifact of Regression spawned enemies.
+ Gave death rewards to Artifact of the Nightmare full enemies.
+ Networked sounds introduced in 0.5.9.
+ Updated Mod Icon
- Removed Brushed Metal Texture on some models. It made them look weird in engine.

[0.5.9]
+ New Models and Textures for quite a handful of Items/Equipment by Ragon.
+ Added Artifact of the Nightmare. Upon spawn, non-boss enemies are granted 1-4 lunar heresy items.
+ Added Artifact of Progression, a contrast to Regression, enemies evolve into stronger forms over time.
+ Added sounds for Accursed Potion, Unstable Design, Artifact of Progression, and Engineers Toolbelt. These still need networked, which I will do next version.
+ Remade Accursed Potion Lore.
+ Changed the mesh of the Lunar Chimera spawned by Unstable Design. It is now the old mesh before Hopoo Games changed it.
+ Various Bug Fixes and feature Improvements that I forgot to record on the changelog.
- Removed Blaster Sword Particle System Glow, Added Blaster Sword Material controlled glow instead
- Removed the Stathooks module from this mod. I now use the one bundled into R2API.

----

## Special Thanks  
**Ragon** - Overhauled quite a few of my models to be awesome looking. Provided Models and Textures for them that allow them to shine visually. They also participate in development talks about Aetherium, and provide some quality ideas for new mechanics.  
**BordListian** - Basically co-dev support in creating this and playtesting.  
**ThinkInvis** - I learned a whole lot of things from their Classic Items mod. Thanks to them for authorizing me to use TILER2's stathooks in my itembase, it was integral in getting it off the ground.  
**Chen** - Fixed turrets teleporting into the ground with Inspiring Drone. Provided me a snazzy build event to let me test things faster now. Put in a ton of work to highly improve the Inspiring Drone's code as well, can't thank them enough for it.  
**KingEnderBrine** - Helping out with some questions regarding Item Displays, and providing a useful helper mod to speed up my IDRS creation.  
**Harb** - For providing the ILHook from their HarbCrate mod, which allows Bloodsoaked Shield and Shielding Core to be able to provide some base shields, and also providing a reflection autodiscovery feature for my items and equipment.  
**RyanP** - We reference his void implosion (from his Flood Warning warden elites) as basis for our void implosion, albeit modified a bit to work for our item.  
**Rob** - For varied questions relating to coding on ROR2. Also for helping solve some issues regarding ItemDisplay rendering.  
**OkIGotIt (referencing Rico)** - For providing a code snippet for ItemDisplays which let me learn how to have them show up in the first place.  
**Rico** - For the above, and for creating a timer component for me to fix an annoying Voidheart issue that I couldn't solve.   
**Rolo** - For providing a projectile code example, which allowed us to use it as a basis to create Blaster Sword with heavy modifications.   
**GrimTheWanderer** - Playtesting.  
**WaltzingPhantom** - For providing alternative icon art for Feathered Plume, Blood Soaked Shield, Shark Teeth, and Shielding Core!  
**Various ROR2 Modding Core Developers and Modders** - Answering questions related to modding for ROR2 at random stages during development of version 0.1.0.  
**753** - Providing a crystallization shader for me to use in the future.  
**Lorc (Https://lorcblog.blogspot.com/)** - For the base feather icon I did a small edit to for Feathered Plume's speed buff.  
**FilterForge (Https://www.filterforge.com/)** - For providing a good deal of the base for my normals. Awesome plugin library, I recommend it.  
**FOG** - Providing an elite buff icon for Sanguine Elites.  